Page 1 of 1

Error: mismatched versions

Posted: 04 October 2016, 03:50
by Adrmial Seraph
I've had this happen with 2 of my friends while attempting to play 2v2 with them. Arg.

Re: Error: mismatched versions

Posted: 04 October 2016, 10:23
by FocusTechSupport
1. Run Steam and click LIBRARY.
2. Right click on 'Battlefleet Gothic: Armada' and click 'Properties'.
3. Click the tab 'LOCAL FILES' then click the button 'VERIFY INTEGRITY OF GAME CACHE'.

Re: Error: mismatched versions

Posted: 11 October 2016, 20:37
by Primarch19
We followed your instructions but still couldn't play together, both have buildID 1374974 but in game his says it's version1.1.7...
and mine is 1.7.10000, we both verified our caches and steam just says verified. (we have both DLC (we were pre-orders))

Re: Error: mismatched versions

Posted: 12 October 2016, 10:49
by FocusTechSupport
Please ask him to right click on 'Battlefleet Gothic: Armada' under LIBRARY and click on 'Properties'.
Click on the tab 'UPDATES' and check if 'Always keep this game up to date' is selected under 'Automatic updates'.

Otherwise, please exit and restart Steam.
Click on 'GAMES' under LIBRARY then on 'Downloads'.
If there a download pending, this should be the game update.
Click on the button 'Download Now' or 'RESUME' to start the download.

If there is no download available, please choose another download server:

Click on 'Steam' (upper left) then on 'Settings'.
Click on 'Downloads'.
Choose another location near your country/town under Download Region.
Click on the button 'OK' and restart Steam.

Otherwise, please uninstall and reinstall the game:
Right click on 'Battlefleet Gothic: Armada' under LIBRARY and click 'Delete Local Content...'.
Restart Steam.
Click on 'Battlefleet Gothic: Armada' under LIBRARY then on the button 'INSTALL'.